Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.support
Class XmlObjectXmlDocument

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument
          com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.XmlObjectXmlDocument

All Implemented Interfaces:
  XmlDocument, PropertyChangeNotifier

    public class XmlObjectXmlDocument

extends AbstractXmlDocument

Default XmlDocument that works on an existing XmlObject

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument
`XML_PROPERTY`

Constructor Summary
`XmlObjectXmlDocument(org.apache.xmlbeans.XmlObject xmlObject)`

Method Summary
`org.apache.xmlbeans.SchemaTypeSystem` | `getTypeSystem()`
`java.lang.String` | `getXml()`
`void` | `release()`
`void` | `setXml(java.lang.String xml)`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument
`addPropertyChangeListener, addPropertyChangeListener, fireXmlChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlObjectXmlDocument

    public XmlObjectXmlDocument(org.apache.xmlbeans.XmlObject xmlObject)

Method Detail

### getTypeSystem

    public org.apache.xmlbeans.SchemaTypeSystem getTypeSystem()

### getXml

    public java.lang.String getXml()

### setXml

    public void setXml(java.lang.String xml)

### release

    public void release()

  Specified by:
    `release` in interface `XmlDocument`
  Overrides:
    `release` in class `AbstractXmlDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.